package com.hai.model;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 加油站订单
 * @author hurui
 */
public class GasOrderModel {

    private String orderNo;
    private String gasOrderNo;
    private Integer payType;
    private BigDecimal totalPrice;
    private BigDecimal deductionPrice;
    private BigDecimal payRealPrice;
    private Integer status;
    private String gasLogo;
    private String gasName;
    private String gasAddress;
    private String gasOilType;
    private String gasOilNo;
    private String gasGunNo;
    private String gasOilLiters;
    private String gasDiscount;
    private String gasOilSubsidy;
    private String gasLitersPreferences;
    private String gasPricePreferences;
    private String gasPriceGun;
    private Date createTime;
    private Date payTime;
    private Date refundTime;

    public String getGasOilType() {
        return gasOilType;
    }

    public void setGasOilType(String gasOilType) {
        this.gasOilType = gasOilType;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getGasOrderNo() {
        return gasOrderNo;
    }

    public void setGasOrderNo(String gasOrderNo) {
        this.gasOrderNo = gasOrderNo;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public BigDecimal getDeductionPrice() {
        return deductionPrice;
    }

    public void setDeductionPrice(BigDecimal deductionPrice) {
        this.deductionPrice = deductionPrice;
    }

    public BigDecimal getPayRealPrice() {
        return payRealPrice;
    }

    public void setPayRealPrice(BigDecimal payRealPrice) {
        this.payRealPrice = payRealPrice;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getGasLogo() {
        return gasLogo;
    }

    public void setGasLogo(String gasLogo) {
        this.gasLogo = gasLogo;
    }

    public String getGasName() {
        return gasName;
    }

    public void setGasName(String gasName) {
        this.gasName = gasName;
    }

    public String getGasAddress() {
        return gasAddress;
    }

    public void setGasAddress(String gasAddress) {
        this.gasAddress = gasAddress;
    }

    public String getGasOilNo() {
        return gasOilNo;
    }

    public void setGasOilNo(String gasOilNo) {
        this.gasOilNo = gasOilNo;
    }

    public String getGasGunNo() {
        return gasGunNo;
    }

    public void setGasGunNo(String gasGunNo) {
        this.gasGunNo = gasGunNo;
    }

    public String getGasOilLiters() {
        return gasOilLiters;
    }

    public void setGasOilLiters(String gasOilLiters) {
        this.gasOilLiters = gasOilLiters;
    }

    public String getGasDiscount() {
        return gasDiscount;
    }

    public void setGasDiscount(String gasDiscount) {
        this.gasDiscount = gasDiscount;
    }

    public String getGasOilSubsidy() {
        return gasOilSubsidy;
    }

    public void setGasOilSubsidy(String gasOilSubsidy) {
        this.gasOilSubsidy = gasOilSubsidy;
    }

    public String getGasLitersPreferences() {
        return gasLitersPreferences;
    }

    public void setGasLitersPreferences(String gasLitersPreferences) {
        this.gasLitersPreferences = gasLitersPreferences;
    }

    public String getGasPricePreferences() {
        return gasPricePreferences;
    }

    public void setGasPricePreferences(String gasPricePreferences) {
        this.gasPricePreferences = gasPricePreferences;
    }

    public String getGasPriceGun() {
        return gasPriceGun;
    }

    public void setGasPriceGun(String gasPriceGun) {
        this.gasPriceGun = gasPriceGun;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Date getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }
}
